
//          ++

#include <stdio.h>

#include <iostream>
#include <fstream>
using namespace std;

void InOutString();
void InOutInteger();
void InOutSignUnsign();
void InOutReal();
void OutWidthPrecision();
int  InOutFile();


int main()
{
    //InOutString();
    //InOutInteger();
    //InOutSignUnsign();
    //InOutReal();
    //OutWidthPrecision();
    InOutFile();

   return 0;
}

void InOutString()
{
    char str[256];

    printf("C: input word: ");
    scanf("%s",str);
    printf("C: you word: %s\n", str);

    cout << "C++: input word: ";
    cin >> str;
    cout << "C++: you word: " << str << endl;
}

void InOutInteger()
{
    char a;
    short b;
    long c;
    int d;
    unsigned int e;

    printf("C: input char short long: ");
    scanf("%d%hd%ld", &a, &b, &c);
    printf("C: char %d short %d long %d\n", a, b, c);

    cout << "C++: input char short long: ";
    cin >> a >> b >> c;
    cout << "C++: char " << a << " short " << b << " long " << c << endl;

    printf("C: input signed and unsigned: ");
    scanf("%d%u", &d, &e);
    printf("C: signed %d unsigned %u\n", d, e);
}

void InOutSignUnsign()
{
    int d;
    unsigned int e;

    printf("C: input signed and unsigned: ");
    scanf("%d%u", &d, &e);
    printf("C: signed %d unsigned %u\n", d, e);

    cout << "C++: signed and unsigned: ";
    cin >> d >> e;
    cout << "C++: signed " << d << " unsigned: " << e << endl;
}

void InOutReal()
{
    float x;
    double y;

    printf("C: input float  double: ");
    scanf("%f%lf", &x, &y);
    printf("C: float %f double %f\n", x, y);

    cout << "C++: input float  double: ";
    cin >> x >> y;
    cout << "C++: float " << x << " double " << y << endl;
}

void OutWidthPrecision()
{
    float x = 3.141593;
    double y = 2.718281828459045;
    int z = 12345;

    printf("C: default %f %f\n", x, y);
    printf("C: precision  %.15f %.12f\n", x, y);
    printf("C: width|prec %16.5f %16.5f\n", x, y);
    printf("C: %.5e %20.16e\n", x, y);

    cout << "C++: default " << x << " " << y << endl;
    cout.width(15);
    cout.precision(12);
    cout << "C++: precision " << x << " " << y << endl;
    cout << "C++: fixed " << fixed << x << " " << y << endl;
    cout << "C++: scientific " << scientific << x << " " << scientific << y << endl;
}

int  InOutFile()
{
   int i, x, n=10;
   FILE *fin, *fout;

   // writing
   fout = fopen("input.txt","w");
   if (fout == 0) 
   {
       printf("C: write opening error\n");
       return -1;
   }     
   for (i=0; i<n; i++) 
   {
       fprintf(fout,"%d\n", i);
   }
   fclose(fout);

   // reading
   fin = fopen("input.txt","r");
   if (fin == 0) 
   {
       printf("C: read opening error\n");
       return -1;
   }     
   while (fscanf(fin,"%d", &x) == 1) 
   {
       printf("%d ", x);
       //fprintf(stdout, "%d ", x);
   }
   fputc('\n', stdout);
   fclose(fin);
   
   // writing
   ofstream sout;
   sout.open("input.txt");
   if (!sout) 
   {
       cout << "C++: write opening error\n";
       return -1;
   }
   for (i=0; i<n; i++) 
   {
       sout << 2*i << endl;
   }
   sout.close();

   // reading
   ifstream sinp("input.txt");
   // ifstream sinp;
   // sinp.open("input.txt");
   if (!sinp) 
   {
       printf("C++: read opening error\n");
       return -1;
   }
   while (sinp >> x, sinp.good())  
   {
       cout << x << " "; 
   }
   sinp.close();
  
   return 0;
}




